Usb keyboard doesn't work at log on

Bug #82368 reported by Cozzamara
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Expired
Medium
Unassigned
linux-source-2.6.17 (Ubuntu)
Won't Fix
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Won't Fix
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Won't Fix
Medium
Unassigned

Bug Description

I have a Logitech usb and bluetooth keyboard on pc with ubuntu edgy amd64. The keyboard doesn't work at start up of X11 (I can't write my user name) but it works if I start ubuntu in safe mode (command line). To solve this problem i must unplug the keyboard and next plug again. On Ubuntu 5.10 386 it works properly.

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

Not a problem with Malone.

Changed in malone:
status: Unconfirmed → Rejected
Revision history for this message
Brian Murray (brian-murray) wrote :

Thanks for your bug report. Could you please attach the output of 'dmesg' and 'lsusb'?

Revision history for this message
Cozzamara (cscocca-tim) wrote : Re: [Bug 82368] Re: Usb keyboard doesn't work at log on
Download full text (31.1 KiB)

Brian Murray ha scritto:
> Thanks for your bug report. Could you please attach the output of
> 'dmesg' and 'lsusb'?
>
> ** Changed in: Ubuntu
> Sourcepackagename: None => linux-source-2.6.17
> Status: Unconfirmed => Needs Info
>
>
I want add another bug: my pc don't shut down. It seems crashed and shut
down sound make an infinite loop.
Sorry for my english.
Thanks

output of "lsusb":
Bus 005 Device 003: ID 13d3:3211 IMC Networks
Bus 005 Device 001: ID 0000:0000
Bus 001 Device 008: ID 046d:c703 Logitech, Inc.
Bus 001 Device 007: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 001 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 003: ID 051d:0002 American Power Conversion Back-UPS Pro 500/1000/1500
Bus 003 Device 002: ID 145f:0106
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

output of "dmesg":
[ 0.000000] Bootdata ok (command line is root=UUID=b1199045-2046-4a34-b085-fa
8332f945c3 ro quiet splash)
[ 0.000000] Linux version 2.6.17-10-generic (root@crested) (gcc version 4.1.2
 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)) #2 SMP Fri Oct 13 15:34:39 UTC
2006 (Ubuntu 2.6.17-10.33-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 0000000000098c00 (usable)
[ 0.000000] BIOS-e820: 0000000000098c00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000003ff80000 (usable)
[ 0.000000] BIOS-e820: 000000003ff80000 - 000000003ff8e000 (ACPI data)
[ 0.000000] BIOS-e820: 000000003ff8e000 - 000000003ffe0000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000003ffe0000 - 0000000040000000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
[ 0.000000] DMI 2.3 present.
[ 0.000000] ACPI: RSDP (v002 ACPIAM ) @ 0x0000
0000000fa940
[ 0.000000] ACPI: XSDT (v001 A M I OEMXSDT 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80100
[ 0.000000] ACPI: FADT (v003 A M I OEMFACP 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80290
[ 0.000000] ACPI: MADT (v001 A M I OEMAPIC 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80390
[ 0.000000] ACPI: OEMB (v001 A M I AMI_OEM 0x03000631 MSFT 0x00000097) @ 0x
000000003ff8e040
[ 0.000000] ACPI: MCFG (v001 A M I OEMMCFG 0x03000631 MSFT 0x00000097) @ 0x
000000003ff88800
[ 0.000000] ACPI: DSDT (v001 A0229 A0229000 0x00000000 INTL 0x02002026) @ 0x
0000000000000000
[ 0.000000] No NUMA configuration found
[ 0.000000] Faking a node at 0000000000000000-000000003ff80000
[ 0.000000] Bootmem setup node 0 0000000000000000-000000003ff80000
[ 0.000000] On node 0 totalpages: 256973
[ 0.000000] DMA zone: 2579 pages, LIFO batch:0
[ 0.000000] DMA32 zone: 254394 pages, LIFO batch:31
[ 0.000000] ACPI: PM-Timer IO Port: 0x808
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 15:4 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[ 0.000000] Processor #1 15:4 APIC version 20
[ ...

Revision history for this message
Cozzamara (cscocca-tim) wrote :
Download full text (31.1 KiB)

Brian Murray ha scritto:
> Thanks for your bug report. Could you please attach the output of
> 'dmesg' and 'lsusb'?
>
> ** Changed in: Ubuntu
> Sourcepackagename: None => linux-source-2.6.17
> Status: Unconfirmed => Needs Info
>
>
I want add another bug: my pc don't shut down. It seems crashed and shut
down sound make an infinite loop.
Sorry for my english.
Thanks

output of "lsusb":
Bus 005 Device 003: ID 13d3:3211 IMC Networks
Bus 005 Device 001: ID 0000:0000
Bus 001 Device 008: ID 046d:c703 Logitech, Inc.
Bus 001 Device 007: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 001 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 003: ID 051d:0002 American Power Conversion Back-UPS Pro 500/1000/1500
Bus 003 Device 002: ID 145f:0106
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

output of "dmesg":
[ 0.000000] Bootdata ok (command line is root=UUID=b1199045-2046-4a34-b085-fa
8332f945c3 ro quiet splash)
[ 0.000000] Linux version 2.6.17-10-generic (root@crested) (gcc version 4.1.2
 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)) #2 SMP Fri Oct 13 15:34:39 UTC
2006 (Ubuntu 2.6.17-10.33-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 0000000000098c00 (usable)
[ 0.000000] BIOS-e820: 0000000000098c00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000003ff80000 (usable)
[ 0.000000] BIOS-e820: 000000003ff80000 - 000000003ff8e000 (ACPI data)
[ 0.000000] BIOS-e820: 000000003ff8e000 - 000000003ffe0000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000003ffe0000 - 0000000040000000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
[ 0.000000] DMI 2.3 present.
[ 0.000000] ACPI: RSDP (v002 ACPIAM ) @ 0x0000
0000000fa940
[ 0.000000] ACPI: XSDT (v001 A M I OEMXSDT 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80100
[ 0.000000] ACPI: FADT (v003 A M I OEMFACP 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80290
[ 0.000000] ACPI: MADT (v001 A M I OEMAPIC 0x03000631 MSFT 0x00000097) @ 0x
000000003ff80390
[ 0.000000] ACPI: OEMB (v001 A M I AMI_OEM 0x03000631 MSFT 0x00000097) @ 0x
000000003ff8e040
[ 0.000000] ACPI: MCFG (v001 A M I OEMMCFG 0x03000631 MSFT 0x00000097) @ 0x
000000003ff88800
[ 0.000000] ACPI: DSDT (v001 A0229 A0229000 0x00000000 INTL 0x02002026) @ 0x
0000000000000000
[ 0.000000] No NUMA configuration found
[ 0.000000] Faking a node at 0000000000000000-000000003ff80000
[ 0.000000] Bootmem setup node 0 0000000000000000-000000003ff80000
[ 0.000000] On node 0 totalpages: 256973
[ 0.000000] DMA zone: 2579 pages, LIFO batch:0
[ 0.000000] DMA32 zone: 254394 pages, LIFO batch:31
[ 0.000000] ACPI: PM-Timer IO Port: 0x808
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 15:4 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[ 0.000000] Processor #1 15:4 APIC version 20
[ ...

Changed in linux-source-2.6.17:
status: Needs Info → Confirmed
Revision history for this message
Nicholas Allen (nick-allen) wrote :

I notice the same thing. It started in Dapper for me and is still present in Edgy. Sometimes my keyboard works and other times not at all. In the cases where it doesn't work I need to unplug it and plug it back in again.

Some other symptoms of the problem (perhaps useful?):
I have a type matrix ez-reach keyboard (typematrix.com). I notice that the caps lock light is always on even though caps lock is not really on when I type characters. When the keyboard doesn't work the caps lock light is on and it cannot be turned off by pressing caps lock. I can check if the keyboard will work or not and whether I have to unplug and replug again using this caps lock light.

Revision history for this message
Nicholas Allen (nick-allen) wrote :

This issue is also present in Feisty.

cat /proc/version
Linux version 2.6.20-15-generic (root@palmer) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Apr 15 07:36:31 UTC 2007

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

I see this problem all the time. (AMD64 Feisty) This problem is 100% repeatable for me. On every startup (from a cold shutdown), the keyboard is unresponsive at the login prompt. My 100% reliable workaround is unplugging the keyboard via USB cable, waiting 5 long seconds, and reconnecting the USB cable. Always works after that and never any issue after login.

I will attached dmesg and lsusb files.

(I have a mini keyboard which has a single USB port on board - which is unused by me. Sorry, the manufacturer long since rubbed off. Also, point of interest, I use an 2' extension USB cable, since the orginal cable is only 2' or so long.)

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

lsusb output

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

cat /proc/version
Linux version 2.6.20-15-generic (root@yellow) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Apr 15 06:17:24 UTC 2007

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

(Something else just occurred to me...)

The keyboard is not completely un-functional at the login screen. After pressing enough keys, I can find some that work in displaying incorrect characters to the login prompt window. Most do nothing, but some do consistently output the wrong characters. I will try to write some of them down the next time I see this issue.

(To emphasize: after disconnect, wait, and reconnect, the keyboard works just fine.)

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

Here are some of the incorrect keymappings that I mentioned in my previous report:
2 (when pressed) = (displays) u, 3=e, 4=-, 5=backspace, 8==, 9=9, 0=i, g=[, i=], b=l, f=d, c=n, n=s, d=j
There are more, but more than half of the keymappings that I tried displayed nothing. I just wanted to give you an idea of what worked.

Revision history for this message
Brian Murray (brian-murray) wrote :

Could you possible test the functionality of the keyboard without the extension cable? Thanks in advance.

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

Yes. W/O extension cable there is no change.

Changed in linux-source-2.6.20:
status: Confirmed → Triaged
Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

Here is a picture of my keyboard:
http://www.fentek-ind.com/kbm85.htm

I love this keyboard. I spent extra just to get rid of the number pad, so I could type on my lap without it falling off balance.

But, I am ready to buy a new keyboard. Having to unplug and plug-in the USB cable everyday is annoying. I am hoping someone will see how cute is this keyboard and save it from the spare parts drawer.

Revision history for this message
Brian Murray (brian-murray) wrote :

Matthew we are actively testing the development release of Ubuntu, the Gutsy Gibbon, and it would be quite helpful if you could test with it. You can find out more about the development release at http://www.ubuntu.com/testing . The Beta version has just been released and if you could test with it that would be ideal. Thanks in advance!

Revision history for this message
Brian Murray (brian-murray) wrote :

Matthew Craig - When we were speaking about this bug last night you indicated to me that this was still an issue with Gutsy is that correct? Additionally does the dmesg file you posted show you pressing some keys before disconnecting and reconnecting the keyboard? If not could you please boot up, press some keys, then disconnect and reconnect the keyboard and capture the dmesg file? Thanks again.

Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

I know I tried pressing some keys today when I booted up, just to
confirm with myself that it was still a problem. (I have gotten into
the habit of disconnecting and reconnecting the keyboard every
morning.) Yes, it's still a problem, and I have attached the dmesg
file from today's boot to this message. (I was pressing number lock
and scroll lock during the boot to see if I saw the LEDs, then I tried
typing in Tomboy notes after Ubuntu did the auto-login.) Thank you
for following up on this issue after our chat yesterday. I do
appreciate your effort to help.

Matthew

On Nov 27, 2007 11:57 AM, Brian Murray <email address hidden> wrote:
> Matthew Craig - When we were speaking about this bug last night you
> indicated to me that this was still an issue with Gutsy is that correct?
> Additionally does the dmesg file you posted show you pressing some keys
> before disconnecting and reconnecting the keyboard? If not could you
> please boot up, press some keys, then disconnect and reconnect the
> keyboard and capture the dmesg file? Thanks again.
>
>
> --
> Usb keyboard doesn't work at log on
> https://bugs.launchpad.net/bugs/82368
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Cozzamara (cscocca-tim) wrote :

I confirm that this problem is still present in gutsy. I have to disconnect and reconnect my keyboard to use it. The problem is not present if I boot Gutsy in safe mode when X doesn't start.
If I must attach some file let me know. Thanks.

Revision history for this message
Cozzamara (cscocca-tim) wrote :

I want to add another thing. My keyboard is a part of Logitech bluetooth mouse and keyboard. When X starts the mouse is also freeze and the leds of num lock, Maiusc and others don't turn on and turn off.

Revision history for this message
Cozzamara (cscocca-tim) wrote :

Sorry for many attachments. This time I have installed X86 version instead of AMD64 version, but i get the same issue.

Revision history for this message
Brian Murray (brian-murray) wrote :

Unfortunately Malone, the bug tracking system of Launchpad, does not accept e-mail attachments at this point in time. Could you please add the files requested by visiting your bug's web page? Thanks in advance.

Changed in linux-source-2.6.22:
importance: Undecided → Medium
status: New → Incomplete
Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

Here is the file mentioned.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Hi Mathew,

Thanks for the update. There is some interesting things I've noticed in your dmesg output. It appears that you keyboard is originally detected as:

[ 57.388936] input: Sony Computer Entertainment Inc. SCE USB Keyboard as /class/input/input3
[ 57.388973] input: USB HID v1.00 Keyboard [Sony Computer Entertainment Inc. SCE USB Keyboard] on usb-0000:00:10.1-2.1

However after you hotplug it back in, it looks like it's:

[ 110.196267] input: BTC Multimedia USB Keyboard as /class/input/input7
[ 110.196293] input: USB HID v1.10 Keyboard [BTC Multimedia USB Keyboard] on usb-0000:00:10.1-2.1

This will need some further investigation as to why it's not detected properly in the first place. I'm tagging this report as 'hardy-kernel-candidate' to make sure we carry this report forward. Thanks!

Changed in linux-source-2.6.22:
status: Incomplete → Triaged
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Hi Mathew,

The Hardy Heron kernel was recently uploaded for testing. We'd really appreciate it if you could try testing with this newer kernel and verify if this issue still exists. Unfortunately, the Hardy Heron Alpha1 LiveCD was released with the older 2.6.22 kernel. You'll have to manually install the newer Hardy Heron kernel in order to test. This should not be the case for Alpha2. However, here are the instructions to install (if you choose to do so):

1) edit the file /etc/apt/sources.list and add the following line:

deb http://archive.ubuntu.com/ubuntu hardy main restricted

2) sudo apt-get update
3) sudo apt-get install linux-image-2.6.24-1-generic
4) reboot and select the new kernel from the grub menu

After you've tested, please feel free to revert back - ie boot into the old kernel, sudo apt-get remove linux-image-2.6.24-1-generic, and remove the line from /etc/apt/sources.list . Please update this report with your results. Thanks in advance!

Changed in linux:
importance: Undecided → Medium
status: New → Incomplete
Revision history for this message
Matthew Craig (matthew-t-craig) wrote :

Leann, I am sorry, but I do not have space on my computer for another
Ubuntu partition. I am trying to think of some other way I could
install Hardy Heron and help out.

On Dec 4, 2007 7:28 PM, Leann Ogasawara <email address hidden> wrote:
> ** Tags removed: hardy-kernel-candidate
>
>
> --
> Usb keyboard doesn't work at log on
> https://bugs.launchpad.net/bugs/82368
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Hi Mathew,

You actually do not have to install a new partition in order to test. However, it might just be easier if you'd like to wait and test with the LiveCD for Hardy Heron Alpha2. I believe Alpha2 should come out Dec 20? I'll update this report when it's been released so that you can try and test. Thanks.

Changed in linux-source-2.6.17:
assignee: nobody → ubuntu-kernel-team
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Hardy Heron Alpha2 was recently released. It contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!

Revision history for this message
jmb0007 (baudetjm) wrote :
Download full text (30.3 KiB)

Hi,

I have the same problem on Hardy Heron Alpha5. The keyboard doesn't work at start up of GDM.
As you can see in the dmesg y have to unplug and plug my dongle to write this comment.

hardy@hardy:~$ uname -a
Linux hardy 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux
hardy@hardy:~$ lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 015: ID 046d:c704 Logitech, Inc.
Bus 001 Device 014: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 001 Device 001: ID 0000:0000
hardy@hardy:~$ dmesg
[ 0.000000] Linux version 2.6.24-8-generic (buildd@rothera) (gcc version 4.2.3 (Ubuntu 4.2.3-1ubuntu2)) #1 SMP Thu Feb 14 20:40:45 UTC 2008 (Ubuntu 2.6.24-8.14-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
[ 0.000000] BIOS-e820: 000000001fff0000 - 000000001fff3000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000001fff3000 - 0000000020000000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
[ 0.000000] 0MB HIGHMEM available.
[ 0.000000] 511MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000f5380
[ 0.000000] Entering add_active_range(0, 0, 131056) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 131056
[ 0.000000] HighMem 131056 -> 131056
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 131056
[ 0.000000] On node 0 totalpages: 131056
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 991 pages used for memmap
[ 0.000000] Normal zone: 125969 pages, LIFO batch:31
[ 0.000000] HighMem zone: 0 pages used for memmap
[ 0.000000] Movable zone: 0 pages used for memmap
[ 0.000000] DMI 2.3 present.
[ 0.000000] ACPI: RSDP signature @ 0xC00F6EB0 checksum 0
[ 0.000000] ACPI: RSDP 000F6EB0, 0014 (r0 KT400 )
[ 0.000000] ACPI: RSDT 1FFF3000, 002C (r1 KT400 AWRDACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: FACP 1FFF3040, 0074 (r1 KT400 AWRDACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: DSDT 1FFF30C0, 3F34 (r1 KT400 AWRDACPI 1000 MSFT 100000D)
[ 0.000000] ACPI: FACS 1FFF0000, 0040
[ 0.000000] ACPI: APIC 1FFF7000, 0054 (r1 KT400 AWRDACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: PM-Timer IO Port: 0x4008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:8 APIC version 16
[ 0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 2, version 3, address...

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Confirmed
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Thanks for testing and the update jmb0007. We'll keep this report open against the actively developed kernel bug against 2.6.22, 2.6.20, and 2.6.17 this will be closed. Thanks!

Changed in linux:
status: Confirmed → Triaged
Changed in linux-source-2.6.17:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.20:
status: Triaged → Won't Fix
Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Revision history for this message
jmb0007 (baudetjm) wrote :

Hi,

In Ubuntu 8.10 alpha. I have try with kernel 2.6.26 and 2.6.27 and the result was the same.

I have a Logitch Dinovo blutooth dongle. lsusb give

jm-ibex@jm-ibex:~$ lsusb
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 006: ID 046d:c704 Logitech, Inc.
Bus 003 Device 005: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 05a9:4519 OmniVision Technologies, Inc. Webcam Classic
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

The keyboard and mouse is not working at gnome startup if HID2HCI_ENABLED=1 in /etc/default/bluetooth (I have to unplug then plug the dongle)

The keyboard and mouse is working at gnome startup if HID2HCI_ENABLED=0 in /etc/default/bluetooth (but not blutooth)

In /etc/default/bluetooth file, I have tried serval combinations of
(HIDD_ENABLED=1 or 0 ) and (HID2HCI_ENABLED=1 or 0 ) and (HIDD_OPTIONS= some think or some think else)

Only HID2HCI_ENABLED have a impact on keyboard on startup

I hope this can help you
Regards
Jean-Marie

Revision history for this message
Ivan Kravchenko (iv-kravchenko) wrote :

My Ubuntu 8.10 betta, all updates, works absolutly same way.

Genius USB keyboard.

Revision history for this message
Timothy Smith (tim.dolores) wrote :

I've got the same thing. I was running Hardy Heron, now I've got Arch Linux installed. Saw the same problem w/ Gentoo, too.

21:30 ~$ lsusb
Bus 002 Device 001: ID 1d6b:0002
Bus 001 Device 005: ID 045e:00dd Microsoft Corp.
Bus 001 Device 004: ID 045e:00e1 Microsoft Corp. Wireless Laser Mouse 6000 Reciever
Bus 001 Device 001: ID 1d6b:0001
Linux ramayana 2.6.27-ARCH #1 SMP PREEMPT Sun Oct 26 10:36:46 UTC 2008 i686 Intel(R) Core(TM)2 CPU 6420 @ 2.13GHz GenuineIntel GNU/Linux
21:29 ~$ dmesg > /tmp/dmesg.txt

See attachment for dmesg output.

I've got an XFX 650i Ultra motherboard - nvidia chipset, keyboard plugged directly into the USB slot on the back of the mobo. USB mouse works fine, no need to plug/unplug. Keyboard almost always requires plug/unplug to function after restart - either reboot or power off/on. Doesn't matter if other USB devices are plugged in or not. Keyboard always works in BIOS (e.g., at GRUB boot menu), but not at login prompt.

Revision history for this message
Bryan (poli0048) wrote :

Hello all- I am running Ubuntu 8.10 Intrepid Ibex on my Laptop (HP dv2000). I have this same problem with my laptops internal keyboard (although it may be on the internal usb?). After startup my keyboard appears to not work at all, but after pressing several keys it begins to work with no problem. I have an interesting observation however. I did not have this problem until I just recently did a hardware modification. I was using the hard drive that came with the laptop, formatted with ext3, but I replaced it with an OCZ solid state drive (Core series SATA II), formatted with Reiserfs. This is exactly when the problem appeared. I also did an installation using ext3 on this drive (for benchmarking) and the problem was there as well. I have attached my dmesg output as well as my hardware configuration. Any thoughts are appreciated and if there is anything else I can provide please let me know.

Revision history for this message
Bryan (poli0048) wrote :

Right- here is my hardware configuration.

Revision history for this message
Launchpad Janitor (janitor) wrote : Kernel team bugs

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Revision history for this message
Keir Stitt (dks1bns) wrote :

I've just developed a very similar bug on my xubuntu machine.
I'm using a Logitech diNovo and a Microsoft IntelliMouse

When I Load into xfce for login then i have no use of the keyboard or mouse, however the optical mouse is lit and the caps lock works.

If I press Print Screen (i found this out through the usual bashing keys with rage when you can't log into your computer and have a deadline to meet) the display flashes and everything works as normal.

If it helps you to recreate the bug, immediately before the bug arrived I'd used 'sudo update-rc.d -f gdm remove' in order to prove that ubuntu can be booted directly to a shell. I then reset my machine and then used 'sudo update-rc.d -f gdm defaults' to restore xfce. If I were a betting man then I'd guess this caused the fault.

I'm attaching my dmesg, i'll follow with lsusb.txt

Revision history for this message
Keir Stitt (dks1bns) wrote :

and lsusb

Revision history for this message
Martijn Meijer (toolunious) wrote :

Hi,

My Logitech Internet navigator has similar issues. The leds for num lock and caps lock are off (although the function of num- and capslocking do work). My media features don't work at all.

These errors are all fixed by re-plugging the keyboard.

Lsusb (same after replug):
Bus 005 Device 003: ID 046d:c30a Logitech, Inc. iTouch Composite

dmesg:
[ 3647.744012] usb 2-2: new low speed USB device using uhci_hcd and address 4
[ 3647.918186] usb 2-2: configuration #1 chosen from 1 choice
[ 3647.936722] input: Logitech Logitech USB Keyboard as /devices/pci0000:00/0000:00:1a.1/usb2/2-2/2-2:1.0/input/input9
[ 3647.972621] input,hidraw0: USB HID v1.10 Keyboard [Logitech Logitech USB Keyboard] on usb-0000:00:1a.1-2
[ 3648.013307] input: Logitech Logitech USB Keyboard as /devices/pci0000:00/0000:00:1a.1/usb2/2-2/2-2:1.1/input/input10
[ 3648.044607] input,hidraw1: USB HID v1.10 Mouse [Logitech Logitech USB Keyboard] on usb-0000:00:1a.1-2

Revision history for this message
Keir Stitt (dks1bns) wrote :

interestingly once i get my computer to accept input from the keyboard and mouse, the caps LED ceases to work (the caps function still works though, just no indicator as to whether its on or off)

Clearly something weird is going on

Revision history for this message
Bryan (poli0048) wrote :

I just installed the intrepid-proposed updates and the issue is now resolved for me. I have tested it on about 10 boots without problem.

Revision history for this message
Bryan (poli0048) wrote :

Correction: Problem remains, but occurs far less frequently.

Revision history for this message
Deborah K. Mathews (deborah-kest-mathews) wrote :

I was on Hardy Heron AMD64, and didn't have this problem. Then I upgraded to Intrepid Ibex AMD64, and had different issues which resulted in my installing Hardy Heron AMD64 in a separate partition. (And because of those other issues Hardy is my default system.) I don't have this problem when I boot into Intrepid Ibex, but now I have it when I boot into Hardy Heron. I've got a Microsoft USB keyboard which is plugged into the back of my computer, so I never tried unplugging and replugging it, but instead I've restarted the computer. (I haven't lost the mouse, so am able to choose the restart option.) Almost all of the time when I restart the keyboard works.

When I start up the computer in the morning the lights on the keyboard are on until after the grub screen where I choose my operating system. (It doesn't matter whether I choose Hardy or it defaults to it.) The lights go off during the boot-up. However, when I restart it, and it goes through the same motions, the lights usually don't go off.

Revision history for this message
Stefan Bader (smb) wrote :

The last comment in this report is somewhat old, is this that problem still valid? It would be good if someone could verify te same issue on Jaunty. Also maybe it is worth trying to add ehci_hcd to /etc/modules and then run "update-initramfs -u" to get ehci_hcd loaded before uhci_hcd.

Changed in linux (Ubuntu):
assignee: nobody → stefan-bader-canonical
Revision history for this message
James Wilson (james-jameswilson) wrote :

I just installed 9.04 official release, and I can reproroduce this problem. :(
It fails in the same way as others have described it, I have a Logitech MX 5500 wireless keyboard and mouse combo, and every boot, I must unplug and replug the usb receiver to get it to work.

Revision history for this message
Jonathan Opperman (jonathan-opperman) wrote :

Same with me, a disappointment really because I was hoping that this would be an "upgrade" and not a regression. *sigh* . A Microsoft Natural Keyboard, Toshiba Tecra P5, clean 9.04 amd64 install and had several other problem with my laptop freezing *bigsigh*.

Revision history for this message
Stefan Bader (smb) wrote :

Could you try to try to see how the status is with the latest kernel from https://wiki.ubuntu.com/KernelMainlineBuilds?
You can install that in parallel to your current kernel and select on boot which one to use. Please do also post a dmsg from that run for comparison. Thanks

Revision history for this message
Karl Bielefeldt (kbielefe) wrote :

I'm likewise getting this issue on a new install of amd64 9.04.

However, I'm not convinced this is a kernel bug and not an X or gdm bug, because it also happens when I log out and try to log back in without restarting or shutting down, after successfully using my keyboard for a while. I'm working on a way to test my theory and track this bug down. I'm an embedded software engineer, but I'm not familiar with the codebase, so it may take me a while.

Revision history for this message
Karl Bielefeldt (kbielefe) wrote :

Yay! Fixed for me in Karmic Koala! Still not 100% sure I had the exact same bug as everyone else, but I did notice some relevant-looking errors in my /var/log/Xorg.0.log before upgrading. If upgrading to Karmic doesn't fix it for them, people may want to post their Xorg.0.log here.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

This trouble is still here.
Since a recent update of my ubuntu 10.04 I can see this problem all the time (I never seen it before).
My box is a dell/AMD64 using the 64 bit gnu/linux kernel 2.6.32.
This problem is 100% repeatable for me too. On every startup (from a cold shutdown), I can use the GDM login box as usual but after that the keyboard becomes unresponsive.
To workaround this issue, I have to unplug my usb keyboard, wait some seconds, and reconnect it. The keybord then works fine till the next reboot.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

I must tell that I was running the 8.04LTS ubuntu distro before and updated it to 10.04LTS around may or june.
This issue was not present at that time. It recently appeared after an update in these last weeks. (i'm unable to tell when)

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Strange !
I didn't do anything and this issue disapeared last week (after August the 1st)
In fact I had some ubuntu updates and I suppose this fixed it.
Please see attached my apt history log file.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Unfortunately, it reapear for some days !
I have to unplug then replug my keyboard to make it working.
Please find attach a dmesg extract with usb entries, lsusb and lspci

Revision history for this message
Philippe Lefevre (ph-l) wrote :

I think this issue reapeared after october the first.
Please find attached what packages I updated/removed in this period.
You'll notice that on october the 21th I upgraded my kernel to the latest one : linux-image-2.6.32-25-generic
I think this it might be the day when this trouble goes back.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

I'm still having this bug and I'm running kernel 2.6.32-25.
Any news guys or am I alone to get this issue ?

Revision history for this message
Martijn Meijer (toolunious) wrote :

Sorry, I couldn't reproduce the problem (thankful for that in a way :) ), it's a but of a daunting problem. I will try to think along.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Thanks Martin,
this issue is now permanent for me for the time being.
I'm not a developer and doesn't know at all USB technologies but I have some knowledges in C and gdbg
So if I may help in any ways, doesn't hesitate to ask me.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Martin,
I would like to try to trace what happen with this issue. (this is really enoying ;)
Could you please tell me what process could change or reset the kbd usb port just after the login is entered or at least where should I have a look to begin ?
Thanks for your help

Revision history for this message
Martin Kristensen (martin-miknet) wrote : Re: [Bug 82368] Re: Usb keyboard doesn't work at log on

On Thu, Dec 02, 2010 at 10:29:27PM -0000, Philippe Lefevre wrote:
> Martin,
> I would like to try to trace what happen with this issue. (this is really enoying ;)
> Could you please tell me what process could change or reset the kbd usb port just after the login is entered or at least where should I have a look to begin ?
> Thanks for your help
Philippe,

It has been a long time since I reported the bug, and I am no longer affected by it. I am sorry, but I hardly recall the specifics of the bug.
>
> Title:
> Usb keyboard doesn't work at log on

Martin

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Here are some tracks at start before and after login, before and after unplug/replug the kbd

I'd like to debug this issue. Anyone could give some ideas about where to look at it at first ?

Revision history for this message
Philippe Lefevre (ph-l) wrote :

I've been able to make some more tracks with lsinput and input_events (many thanks to Stephan Bader).
The issue occur on box A, I'm connected to it from another pc via ssh (box B) to run lsinput and input_events tools.

lsinput only shows that the keyboard is disconnected then reconnected but inform what event is used :
/dev/input/event4
   bustype : BUS_USB
   vendor : 0x413c
   product : 0x2003
   version : 272
   name : "Dell Dell USB Keyboard"
   phys : "usb-0000:00:0b.0-4/input0"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

Then :
When I disconnect from my box A session then relog, nothing appear if I write something in a terminal for example. Only mouse events work (I can close a window, move the mouse pointer etc..)

input_events 4 show that even if nothing appear at screen before unplug/replug, the keyboard events seems well captured but nothing happen.
For example, striking "ls -ali" followed by the enter key in a box A terminal session when the issue is on, is well seen by input_events but it is neither applied nor displayed.

I join a small log from this try.

Revision history for this message
Philippe Lefevre (ph-l) wrote :

As, for me, this is probably not a USB keyboard problem but to something which related to the X11 start, i reported this issue to the bug #555169

Revision history for this message
Philippe Lefevre (ph-l) wrote :

Just to inform that the bug disapeared for 2 days.
I just ugraded my ubuntu version and do some cleaning old kernel versions
Please find attached the history and term log files.

Stefan Bader (smb)
Changed in linux (Ubuntu):
assignee: Stefan Bader (stefan-bader-canonical) → nobody
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Cozzamara, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-kernel-logs needs-lsusb-v needs-upstream-testing
tags: added: regression-release
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers